Bug 72888 - Import of KDE 3.1.x notes failed -> Weird behaviour in subsequent start ups
Summary: Import of KDE 3.1.x notes failed -> Weird behaviour in subsequent start ups
Status: RESOLVED FIXED
Alias: None
Product: knotes
Classification: Applications
Component: general (show other bugs)
Version: 3.0
Platform: unspecified Linux
: NOR grave (vote)
Target Milestone: ---
Assignee: Michael Brade
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-18 14:18 UTC by Carsten Schlipf
Modified: 2006-04-27 11:03 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carsten Schlipf 2004-01-18 14:18:36 UTC
Version:           3.0 (using KDE 3.1.94 (3.2 Beta 2), compiled sources)
Compiler:          gcc version 3.2.2 20030222 (Red Hat Linux 3.2.2-5)
OS:          Linux (i686) release 2.4.20-18.9

After running knotes included in KDE 3.2 Beta 2 with the knotes data saved by KDE 3.1.4 it is not properly imported.

Old files are still remaining in the folder ~/.kde/share/apps/knotes/notes and with each startup of knotes, all notes are opened on the desktop. In addition to that each time as much notes as existing are added with the title "[display]" and no content. After several startups the whole desktop is covered with notes.

Workaround: Save the notes in a text editor, remove ~/.kde/share/apps/knotes and then enter the notes once again.

After starting KDE 3.1.4 and then once again KDE 3.2 Beta 2 the behaviour reoccurs.

This is how my ~/.kde/share/apps/knotes looks like:

./notes
./notes/KNote 4
./notes/KNote 5
./notes/KNote 3
./notes/KNote 35
./notes/KNote 18
./notes/KNote 19
./notes/KNote 2
./notes/KNote 1
./notes/KNote 16
./notes/KNote 17
./notes/libkcal-1734726570.540
./notes/KNote 12
./notes/KNote 15
./notes/KNote 20
./notes/KNote 14
./notes/KNote 21
./notes/KNote 22
./notes/KNote 23
./notes/KNote 24
./notes/KNote 27
./notes/KNote 9
./notes/KNote 10
./notes/KNote 33
./notes/KNote 34
./notes/KNote 28
./notes/KNote 29
./notes/KNote 25
./notes/KNote 31
./notes/KNote 8
./notes/KNote 11
./notes/KNote 32
./notes/KNote 26
./notes/libkcal-1360078674.474
./notes/KNote 45
./notes/libkcal-1809125215.421
./notes/.KNote 8_data
./notes/.KNote 9_data
./notes/.KNote 31_data
./notes/.KNote 20_data
./notes/.KNote 32_data
./notes/.KNote 21_data
./notes/.KNote 10_data
./notes/.KNote 33_data
./notes/.KNote 22_data
./notes/.KNote 11_data
./notes/.KNote 34_data
./notes/KNote 7
./notes/.KNote 23_data
./notes/.KNote 12_data
./notes/.KNote 35_data
./notes/.KNote 24_data
./notes/.KNote 14_data
./notes/.KNote 15_data
./notes/.KNote 27_data
./notes/.KNote 16_data
./notes/.KNote 1_data
./notes/.KNote 28_data
./notes/.KNote 2_data
./notes/.KNote 17_data
./notes/.KNote 3_data
./notes/.KNote 29_data
./notes/.KNote 18_data
./notes/.KNote 4_data
./notes/.KNote 19_data
./notes/.KNote 5_data
./notes/.KNote 7_data
./notes/libkcal-130149370.490
./notes/libkcal-1742246749.456
./notes/libkcal-1055091030.523
./notes/KNote 52
./notes/libkcal-994014483.506
./notes/KNote 43
./notes/libkcal-694564905.549
./notes/libkcal-1553528466.567
./notes/libkcal-328441188.584
./notes/libkcal-1510224562.609
./notes/libkcal-723090837.626
./notes/libkcal-1279440119.410
./notes/libkcal-2109602822.430
./notes/libkcal-1650066848.438
./notes/libkcal-516677711.448
./notes/libkcal-1725727191.465
./notes/libkcal-782189926.482
./notes/libkcal-738485611.498
./notes/libkcal-861974823.515
./notes/libkcal-833359756.532
./notes/libkcal-439940369.558
./notes/libkcal-1121745721.575
./notes/libkcal-1021365425.592
./notes/libkcal-1261833786.600
./notes/libkcal-1141799676.617
./notes/libkcal-1995501382.643
./notes/libkcal-1978815432.282
./notes/libkcal-761033227.638
./notes/libkcal-256548369.392
./notes/libkcal-330534054.1072
./notes/libkcal-136663589.267
./notes/libkcal-451731959.210
./notes/.KNote 52_data
./notes/.KNote 43_data
./notes/.KNote 45_data
./notes/.KNote 25_data
./notes/.KNote 26_data
./notes/libkcal-941311273.300
./notes/libkcal-1508400958.381
./notes/libkcal-1275034459.392
./notes/libkcal-210310840.703
./notes/libkcal-1963617801.416
./notes/libkcal-483892491.594
./notes/libkcal-367761379.649
./notes/libkcal-54235037.367
./notes/libkcal-2126198944.629
./notes/libkcal-449794517.670
./notes/libkcal-529221117.692
./notes/libkcal-1859153706.771
./notes/libkcal-1946452025.586
./notes/libkcal-1321163538.917
./notes/libkcal-1254705119.750
./notes/libkcal-1359551671.220
./notes/libkcal-1449091952.730
./notes/libkcal-347004571.472
./notes/libkcal-1592616568.660
./notes/libkcal-825467685.198
./notes/libkcal-2092488092.951
./notes/libkcal-1211019379.137
./notes/libkcal-1122528187.675
./notes/libkcal-2143425987.231
./notes/libkcal-745490845.738
./notes/libkcal-1944686722.243
./notes/libkcal-15206990.782
./notes/libkcal-719233752.815
./notes/libkcal-2067901820.1021
./notes/libkcal-2034258036.793
./notes/libkcal-1706716565.681
./notes/libkcal-1920086176.760
./notes/libkcal-270536126.587
./notes/libkcal-1683099477.860
./notes/libkcal-969653327.461
./notes/libkcal-1401222045.1020
./notes/libkcal-1309367562.367
./notes/libkcal-826144896.146
./notes/libkcal-767941761.1034
./notes/libkcal-1297075281.481
./notes/libkcal-1147078148.631
./notes/libkcal-590212280.891
./notes/libkcal-1919291712.430
./notes/libkcal-2111047391.749
./notes/libkcal-1757938855.961
./notes/libkcal-2111316098.1020
./notes/libkcal-820035233.336
./notes/libkcal-643805233.550
./notes/libkcal-844941418.883
./notes/libkcal-1693347567.273
./notes/libkcal-1427505442.181
./notes/libkcal-1630507536.142
./notes/libkcal-2022254710.510
./notes/libkcal-734154330.926
./notes/libkcal-1574536352.127
./notes/libkcal-946015354.918
./notes/libkcal-549468553.87
./notes/libkcal-1619894589.659
./notes/libkcal-1864717768.217
./notes/libkcal-1888270887.190
./notes/libkcal-1111522341.253
./notes/libkcal-712007287.372
./notes/libkcal-1241965378.411
./notes/libkcal-798497224.1008
./notes/libkcal-1205946912.387
./notes/libkcal-217356082.1000
./notes/libkcal-262811431.311
./notes/libkcal-170325257.539
./notes/libkcal-1104404740.139
./notes/libkcal-2137754519.703
./notes/libkcal-576941666.952
./notes/libkcal-1734235445.600
./notes/libkcal-605074992.407
./notes/libkcal-2059144534.318
./notes/libkcal-505017015.763
./notes/libkcal-2079127250.975
./notes/libkcal-593005758.159
./notes/libkcal-570422104.683
./notes/libkcal-1223663183.112
./notes/libkcal-354870154.190
./notes/libkcal-1649816622.298
./notes/libkcal-223367093.555
./notes/libkcal-739430292.862
./notes/libkcal-1629459158.761
./notes/libkcal-1456219656.478
./notes/libkcal-1518841456.443
./notes/libkcal-610753515.374
./notes/libkcal-1560079642.823
./notes/libkcal-1890135116.176
./notes/libkcal-1816952901.340
./notes/libkcal-24819099.812
./notes/libkcal-1211841863.326
./notes/libkcal-481212663.393
./notes/libkcal-608049102.478
./notes/libkcal-73979078.449
./notes/libkcal-711253867.497
./notes/libkcal-461449221.571
./notes/libkcal-859799093.781
./notes/libkcal-595303535.925
./notes/libkcal-417790241.684
./notes/libkcal-142213314.235
./notes/libkcal-831604195.497
./notes/libkcal-255581477.929
./notes/libkcal-1531184908.956
./notes/libkcal-1050114420.356
./notes/libkcal-1966817700.803
./notes/libkcal-655884625.253
./notes/libkcal-1610812384.1034
./notes/libkcal-1006339986.139
./notes/libkcal-1751129687.485
./notes/libkcal-204944135.657
./notes/libkcal-1160538304.999
./notes/libkcal-1251846916.331
./notes/libkcal-1962385958.850
./notes/libkcal-133325351.1059
./notes/libkcal-1400817212.121
./notes/libkcal-1635938573.396
./notes/libkcal-520489634.586
./notes/libkcal-346322555.587
./notes/libkcal-1310029536.301
./notes/libkcal-179398884.70
./notes/libkcal-954824389.210
./notes/libkcal-1183680388.541
./notes/libkcal-732716996.1022
./notes/libkcal-1480553338.1006
./notes/libkcal-1393985646.715
./notes/libkcal-888498195.970
./notes/libkcal-1355690656.278
./notes/libkcal-1674643368.117
./notes/libkcal-704285110.251
./notes/libkcal-1790867608.133
./notes/libkcal-1324202968.432
./notes/libkcal-96358191.494
./notes/libkcal-2021851282.780
./notes/libkcal-743880489.463
./notes/libkcal-2045247806.26
./notes/libkcal-1522213243.318
./notes/libkcal-1388707676.494
./notes/libkcal-984098529.287
./notes/libkcal-791456289.127
./notes/libkcal-1439259135.110
./notes/libkcal-366657604.939
./notes/libkcal-1836379665.582
./notes/libkcal-1044575163.806
./notes/libkcal-181851429.312
./notes/libkcal-518955951.711
./notes/libkcal-894965515.357
./notes/libkcal-421871838.113
./notes/libkcal-874268426.28
./notes/libkcal-1741387977.468
./notes/libkcal-569534479.792
./notes/libkcal-1538973121.237
./notes/libkcal-1625038719.481
./notes/libkcal-1608738140.835
./notes/libkcal-1762633119.100
./notes/libkcal-1603843379.615
./notes/libkcal-1114344923.1004
./notes/libkcal-356993256.351
./notes/libkcal-347829981.444
./notes/libkcal-384638753.464
./notes/libkcal-243282977.969
./notes/libkcal-1501750858.428
./notes/libkcal-885496674.522
./notes/libkcal-327313385.688
./notes/libkcal-515989724.58
./notes/libkcal-1167261943.736
./notes/libkcal-937135212.277
./notes/libkcal-1381995331.324
./notes/libkcal-690693023.93
./notes/libkcal-163675076.295
./notes/libkcal-720115341.606
./notes/libkcal-98305585.333
./notes/libkcal-1603926584.136
./notes/libkcal-1313124391.546
./notes/libkcal-839233061.217
./notes/libkcal-1678403661.1044
./notes/libkcal-552858553.258
./notes/libkcal-1793107389.1033
./notes/libkcal-1822511507.730
./notes/libkcal-1581957177.634
./notes/libkcal-199391671.179
./notes/libkcal-1766803411.734
./notes/libkcal-1513747615.293
./notes/libkcal-2047278363.1009
./notes/libkcal-1461763465.937
./notes/libkcal-1311538711.356
./notes/libkcal-318148647.604
./notes/libkcal-777093421.203
./notes/libkcal-521901695.410
./notes/libkcal-838702548.857
./notes/libkcal-1169557903.131
./notes/libkcal-775028468.817
./notes/libkcal-921228326.1004
./notes/libkcal-1725510982.231
./notes/libkcal-578626260.501
./notes/libkcal-1785078307.685
./notes/libkcal-1905778709.1036
./notes/libkcal-413802847.666
./notes/libkcal-1792639172.507
./notes/libkcal-773825285.848
./notes/libkcal-372189668.1067
./notes/libkcal-564414301.866
./notes/libkcal-669737570.264
./notes/libkcal-2128547719.334
./notes/libkcal-1238121558.223
./notes/libkcal-106377362.302
./notes/libkcal-829303270.160
./notes/libkcal-1358710336.152
./notes/libkcal-988103402.178
./notes/libkcal-2034205858.725
./notes/libkcal-2058713541.728
./notes/libkcal-1663722390.275
./notes/libkcal-1952898204.901
./notes/libkcal-19598314.322
./notes/libkcal-2026678129.985
./notes/libkcal-1898197260.514
./notes/libkcal-465223887.477
./notes/libkcal-753329794.654
./notes/libkcal-1903795835.212
./notes/libkcal-1824421529.179
./notes/libkcal-1458542107.777
./notes/libkcal-91253886.1007
./notes/libkcal-1969293864.995
./notes/libkcal-1565983228.485
./notes/libkcal-1651982588.274
./notes/libkcal-114262442.866
./notes/libkcal-1436975057.539
./notes/libkcal-367709614.163
./notes/libkcal-355951358.464
./notes/libkcal-807070191.295
./notes/libkcal-1237106906.280
./notes/libkcal-2138889884.599
./notes/libkcal-282441749.721
./notes/libkcal-294234729.965
./notes/libkcal-1906031245.523
./notes/libkcal-1180763696.780
./notes/libkcal-156841104.1022
./notes/libkcal-277251923.266
./notes/libkcal-1940521431.523
./notes/libkcal-1271802527.654
./notes/libkcal-859695706.1080
./notes/libkcal-402989681.476
./notes/libkcal-618333429.319
./notes/libkcal-1259557744.388
./notes/libkcal-778209032.607
./notes/libkcal-224275223.996
./notes/libkcal-218309220.276
./notes/libkcal-922551394.128
./notes/libkcal-1129479421.266
./notes/libkcal-1443859174.858
./notes/libkcal-1259081749.369
./notes/libkcal-1943354618.425
./notes/libkcal-2049035751.377
./notes/libkcal-1625965808.531
./notes/libkcal-1740321006.566
./notes/libkcal-1588827029.156
./notes/libkcal-1548657082.544
./notes/libkcal-693331816.187
./notes/libkcal-1325426876.497
./notes/libkcal-498440457.170
./notes/libkcal-1736760005.877
./notes/libkcal-1084210544.807
./notes/libkcal-1469690.1042
./notes/libkcal-2129306781.648
./notes/libkcal-1111453755.270
./notes/libkcal-1856182747.152
./notes/libkcal-3248793.940
./notes/libkcal-1243514195.334
./notes/libkcal-1602719233.958
./notes/libkcal-338028850.767
./notes/libkcal-1393661027.540
./notes/libkcal-1424152873.1004
./notes/libkcal-1631604906.142
./notes/libkcal-689390676.521
./notes/libkcal-264022156.221
./notes/libkcal-273594177.834
./notes/libkcal-723321524.417
./notes/libkcal-303172530.319
./notes/libkcal-1089975186.295
./notes/libkcal-85144507.1019
./notes/libkcal-1475695737.979
./notes/libkcal-895760427.210
./notes/libkcal-1218149863.980
./notes/libkcal-2039284239.200
./notes/libkcal-860139673.536
./notes/libkcal-1319573375.393
./notes/libkcal-945596475.372
./notes/libkcal-2125528293.468
./notes/libkcal-2135387673.544
./notes/libkcal-157558261.571
./notes/libkcal-302408739.1029
./notes/libkcal-1788710886.564
./notes/libkcal-451386683.1098
./notes/libkcal-2135424785.457
./notes/libkcal-1522207753.387
./notes/libkcal-60544465.479
./notes/libkcal-2040540456.1022
./notes/libkcal-760807130.712
./notes/libkcal-1530496784.957
./notes/libkcal-1221883676.839
./notes/libkcal-589053260.641
./notes/libkcal-1067932687.1036
./notes/libkcal-2021943333.242
./notes/libkcal-339240969.495
./notes/libkcal-1822889636.1002
./notes/libkcal-172377582.338
./notes/libkcal-1366047078.534
./notes/libkcal-1394214592.629
./notes/libkcal-985859116.872
./notes/libkcal-1319308793.130
./notes/libkcal-1594480480.591
./notes/libkcal-1363625945.822
./notes/libkcal-1144990467.853
./notes/libkcal-18176068.723
./notes/libkcal-1019367184.59
./notes/libkcal-1540912394.518
./notes/libkcal-1249515059.787
./notes/libkcal-1567606727.630
./notes/libkcal-1908964043.776
./notes/libkcal-518912931.497
./notes/libkcal-2041583328.903
./notes/libkcal-744234462.769
./notes/libkcal-468007285.923
./notes/libkcal-1407775099.898
./notes/libkcal-1729300777.942
./notes/libkcal-1660578430.694
./notes/libkcal-1607929570.931
./notes/libkcal-1721323174.599
./notes/libkcal-2055853873.845
./notes.ics~
./notes.ics
Comment 1 Michael Brade 2004-03-09 23:23:13 UTC
CVS commit by brade: 

Finally fixed #72888, #73404, #75558: much more robust conversion of old 
config files, now hopefully absolutely no black notes anymore.

The reason for those was partly #68127 - a note's config was deleted, the
note itself was kept. The next time KNotes is used it load the journal but
obviously can't find the config. On quit only the minimal parameters were
written (no version information) and the following restart of KNotes it
thinks it found a KDE 1.x configuration. This is now fixed by examining
the config files a bit better. 

CCMAIL: 72888-done@bugs.kde.org, 73404-done@bugs.kde.org, 75558-done@bugs.kde.org


  M +2 -0      ChangeLog   1.60
  M +69 -69    knoteslegacy.cpp   1.10
  M +2 -2      knoteslegacy.h   1.6



Comment 2 Dominique Devriese 2004-03-14 14:14:42 UTC
CVS commit by domi: 

backport from HEAD:

  Finally fixed #72888, #73404, #75558: much more robust conversion of old 
  config files, now hopefully absolutely no black notes anymore.

  The reason for those was partly #68127 - a note's config was deleted, the
  note itself was kept. The next time KNotes is used it load the journal but
  obviously can't find the config. On quit only the minimal parameters were
  written (no version information) and the following restart of KNotes it
  thinks it found a KDE 1.x configuration. This is now fixed by examining
  the config files a bit better. 

CCMAIL: 72888@bugs.kde.org, 73404@bugs.kde.org, 75558@bugs.kde.org, 237184@bugs.debian.org


  M +50 -44    ChangeLog   1.55.4.1
  M +70 -70    knoteslegacy.cpp   1.8.4.1
  M +3 -3      knoteslegacy.h   1.4.4.1